Galaxy Nexus, Android 4.3 and SAPv3 in Comand APS NTG2

Discussions about rSAP and general Bluetooth compatibility of the Mercedes-Benz Bluetooth SAP telephone module
admin
Site Admin
Posts: 4128
Joined: Wed Mar 23, 2011 4:12 pm

Re: Galaxy Nexus, Android 4.3 and SAPv3 in Comand APS NTG2

Post by admin » Wed Nov 06, 2013 8:30 am

Since yesterday there is a forum for the Nexus 5 and I already posted an updated installer there: viewtopic.php?f=63&t=1123. So far I only did some very basic tests, I hope it works as good as on the other Qualcomm phones..

The Android version is nearly never a problem. The only thing that worries me since 4.3 is that Google will further raise the system security so that some day it will be impossible to root the phone.

admin
Site Admin
Posts: 4128
Joined: Wed Mar 23, 2011 4:12 pm

Re: Galaxy Nexus, Android 4.3 and SAPv3 in Comand APS NTG2

Post by admin » Wed Jul 30, 2014 9:11 am

admin wrote:I'm at my wits end. This must be some problem in the low level Bluetooth stuff. My app gets active as soon as the SAP module opens the channel assigned to the SAP profile, but it doesn't, and I don't understand why. It gets the channel number, so it should work. Maybe it's something in the pairing process?

You should file a bug with CyanogenMod, but I don't know if the HCI logs will be sufficient to find the problem.

Can you make a final test with the official Google 4.3 firmware? This should show if it is a CyanogenMod or a general 4.3 bug.
Since this is happening more and more I created a topic here: viewtopic.php?f=24&t=1383

Post Reply

Return to “Mercedes-Benz Bluetooth (SAP) telephone module”